{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}


{% block title %}
Creer soutenance
{% endblock %}




{% block header %}
{% include "sub_templates/header.html" %}
{% endblock %}


{% block main %}
<form method="POST" class="shadow rounded px-4 py-3">
    <h1 class="text-2xl font-semibold text-center mb-4">Creer une soutenance</h1>


    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Professeur Candide</label>
        <select name="profC" type="text" required>
            <option>None</option>
            {% for teacher in teachers %}
            <option value="{{teacher.id}}">{{teacher.last_name}} {{teacher.first_name}}</option>
            {% endfor %}
        </select>
    </div>


    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Mission</label>
        <select name="Mission_Request" type="text" required>
            <option>None</option>
            {% for mission_request in list_mission_request %}
            <option value="{{mission_request.id}}">{{mission_request.user.last_name}} {{mission_request.user.first_name}}</option>
            {% endfor %}
        </select>
    </div>



    {% if error_offre %}
    <p class="error">
        {{ error_offre }}
    </p>
    {% endif %}

    <button
        class="rounded-full pointer px-3 py-[5px] mb-1 text-white bg-[var(--blue)] mt-5 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow mx-auto flex">
        Ajouter la soutenance</button>
</form>





{% endblock %}

{% block footer %}
{% include "sub_templates/footer.html" %}
{% endblock footer%}


{% block script %}
{{ super() }}
{% endblock %}